<template>
    <article class="article-page" v-if="selectedTile">
        <img class="article-page__main-image" src="http://placekitten.com/400/300"/>
        <div>
            <h1>{{selectedTile.title}}</h1>
            <p>{{selectedTile.description}}</p>
            <p class="article-page__text">{{selectedTile.text}}</p>
        </div>
    </article>
    <NotFoundPage v-else-if="isDataReady"></NotFoundPage>
</template>

<script>
import NotFoundPage from './NotFoundPage.vue';

export default {
    name: 'ArticlePage',
    props: {
        id: [String, Number],
    },
    created () {
        this.$store.dispatch('loadTiles');
    },
    computed: {
        selectedTile() {
            return this.$store.state.tiles[this.$route.params.id];
        },
        isDataReady() {
            return this.$store.state.isReady;
        }
    },
    components: {
        NotFoundPage
    }
};
</script>

<style scoped>
.article-page__main-image{
    float: left;
    margin: 10px;
}
.article-page__text{
    text-align: justify;
}
</style>
